Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class ListResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle

Direct Known Subclasses:
  AccessibleResourceBundle

public abstract class ListResourceBundle
extends ResourceBundle

`ListResourceBundle` is an abstract subclass of `ResourceBundle` that manages resources for a locale in a convenient and easy to use list. See `ResourceBundle` for more information about resource bundles in general.

Subclasses must override `getContents` and provide an array, where each item in the array is a pair of objects. The first element of each pair is the key, which must be a `String`, and the second element is the value associated with that key.

The following example shows two members of a resource bundle family with the base name "MyResources". "MyResources" is the default member of the bundle family, and "MyResources_fr" is the French member. These members are based on `ListResourceBundle` (a related example shows how you can add a bundle to this family that's based on a properties file). The keys in this example are of the form "s1" etc. The actual keys are entirely up to your choice, so long as they are the same as the keys you use in your program to retrieve the objects from the bundle. Keys are case-sensitive.

>      public class MyResources extends ListResourceBundle {
>          public Object[][] getContents() {
>              return contents;
>          }
>          static final Object[][] contents = {
>          // LOCALIZE THIS
>              {"s1", "The disk \"{1}\" contains {0}."},  // MessageFormat pattern
>              {"s2", "1"},                               // location of {0} in pattern
>              {"s3", "My Disk"},                         // sample disk name
>              {"s4", "no files"},                        // first ChoiceFormat choice
>              {"s5", "one file"},                        // second ChoiceFormat choice
>              {"s6", "{0,number} files"},                // third ChoiceFormat choice
>              {"s7", "3 Mar 96"},                        // sample date
>              {"s8", new Dimension(1,5)}                 // real object, not just string
>          // END OF MATERIAL TO LOCALIZE
>          };
>      }

>      public class MyResources_fr extends ListResourceBundle {
>          public Object[][] getContents() {
>              return contents;
>          }
>          static final Object[][] contents = {
>          // LOCALIZE THIS
>              {"s1", "Le disque \"{1}\" {0}."},          // MessageFormat pattern
>              {"s2", "1"},                               // location of {0} in pattern
>              {"s3", "Mon disque"},                      // sample disk name
>              {"s4", "ne contient pas de fichiers"},     // first ChoiceFormat choice
>              {"s5", "contient un fichier"},             // second ChoiceFormat choice
>              {"s6", "contient {0,number} fichiers"},    // third ChoiceFormat choice
>              {"s7", "3 mars 1996"},                     // sample date
>              {"s8", new Dimension(1,3)}                 // real object, not just string
>          // END OF MATERIAL TO LOCALIZE
>          };
>      }

Since:
  JDK1.1
See Also:
  `ResourceBundle`, `PropertyResourceBundle`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`ListResourceBundle()` Sole constructor.

Method Summary
`protected abstract Object[][]` | `getContents()` See class description.
`Enumeration` | `getKeys()` Implementation of ResourceBundle.getKeys.
`Object` | `handleGetObject(String key)` Gets an object for the given key from this resource bundle.

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListResourceBundle

    public ListResourceBundle()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### handleGetObject

    public final Object handleGetObject(String key)

  Description copied from class: `ResourceBundle`
  Gets an object for the given key from this resource bundle. Returns null if this resource bundle does not contain an object for the given key.

  Specified by:
    `handleGetObject` in class `ResourceBundle`
  Parameters:
    `key` - the key for the desired object
  Returns:
    the object for the given key, or null

### getKeys

    public Enumeration getKeys()

  Implementation of ResourceBundle.getKeys.

  Specified by:
    `getKeys` in class `ResourceBundle`

### getContents

    protected abstract Object[][] getContents()

  See class description.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.